package nl.esi.metis.aisparser;

public class HandleVDMLineImpl implements HandleVDMLine {

	private HandleVDMMessage handler;
	private HandleInvalidVDMLine errorHandler;
	
	public HandleVDMLineImpl(HandleVDMMessage handler, HandleInvalidVDMLine errorHandler)
	{
		this.handler = handler;
		this.errorHandler = errorHandler;
	}

	private VDMMessage current = null;
	public void handleVDMLine(VDMLine line) {
		if (line.isSemanticallyValid())
		{
			if(current == null)
			{
				current = new VDMMessage(line);
			}
			else
			{
				if (current.isPartOfMessage(line))
				{
					current.add(line);
				}
				else
				{
					handler.handleVDMMessage(current);	//correctness must be checked by VDMMessageHandler	
					current = new VDMMessage(line);
				}
			}
		}
		else
		{
			errorHandler.handleInvalidVDMLine(line);
		}
	}
	
	public void finished() {
		if(current != null)
		{
			handler.handleVDMMessage(current);
			//TODO: must finished message be passed on even further?
		}
	}
}